CoreDescriptor (Solr 3.6.2 API)
Keywords: org.apache.solr.core.CoreDescriptor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.core
Class CoreDescriptor

    java.lang.Object
      org.apache.solr.core.CoreDescriptor

    public class CoreDescriptor

extends Object

A Solr core descriptor

Since:
  solr 1.3

Field Summary
`protected String` | `configName`
`protected String` | `dataDir`
`protected String` | `instanceDir`
`protected String` | `name`
`protected String` | `propertiesName`
`protected String` | `schemaName`

Constructor Summary
`CoreDescriptor(CoreContainer coreContainer, String name, String instanceDir)`
`CoreDescriptor(CoreDescriptor descr)`

Method Summary
`String` | `getConfigName()`
`CoreContainer` | `getCoreContainer()`
`String` | `getDataDir()`
`String` | `getDefaultConfigName()`
`String` | `getDefaultDataDir()`
`String` | `getDefaultSchemaName()`
`String` | `getInstanceDir()`
`String` | `getName()`
`String` | `getPropertiesName()`
`String` | `getSchemaName()`
`void` | `setConfigName(String name)` Sets the core configuration resource name.
`void` | `setCoreProperties(Properties coreProperties)` Set this core's properties.
`void` | `setDataDir(String s)`
`void` | `setPropertiesName(String propertiesName)`
`void` | `setSchemaName(String name)` Sets the core schema resource name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### instanceDir

    protected String instanceDir

### dataDir

    protected String dataDir

### configName

    protected String configName

### propertiesName

    protected String propertiesName

### schemaName

    protected String schemaName

Constructor Detail

### CoreDescriptor

    public CoreDescriptor(CoreContainer coreContainer,
                          String name,
                          String instanceDir)

### CoreDescriptor

    public CoreDescriptor(CoreDescriptor descr)

Method Detail

### getDefaultConfigName

    public String getDefaultConfigName()

  Returns:
    the default config name.

### getDefaultSchemaName

    public String getDefaultSchemaName()

  Returns:
    the default schema name.

### getDefaultDataDir

    public String getDefaultDataDir()

  Returns:
    the default data directory.

### getPropertiesName

    public String getPropertiesName()

### setPropertiesName

    public void setPropertiesName(String propertiesName)

### getDataDir

    public String getDataDir()

### setDataDir

    public void setDataDir(String s)

### getInstanceDir

    public String getInstanceDir()

  Returns:
    the core instance directory.

### setConfigName

    public void setConfigName(String name)

  Sets the core configuration resource name.

### getConfigName

    public String getConfigName()

  Returns:
    the core configuration resource name.

### setSchemaName

    public void setSchemaName(String name)

  Sets the core schema resource name.

### getSchemaName

    public String getSchemaName()

  Returns:
    the core schema resource name.

### getName

    public String getName()

  Returns:
    the initial core name

### getCoreContainer

    public CoreContainer getCoreContainer()

### setCoreProperties

    public void setCoreProperties(Properties coreProperties)

  Set this core's properties. Please note that some implicit values will be added to the Properties instance passed into this method. This means that the Properties instance set to this method will have different (less) key/value pairs than the Properties instance returned by #getCoreProperties method.

  Parameters:
    `coreProperties` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD